dbXML API

## org.dbxml.core.corba.db
Class EncodedBuffer

    java.lang.Object
      |
      +--org.dbxml.core.corba.db.EncodedBuffer

All Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity, java.io.Serializable

public final class EncodedBuffer
extends java.lang.Object
implements org.omg.CORBA.portable.IDLEntity

Generated from IDL definition of struct "EncodedBuffer"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`byte[]` `buf`
`long` `stamp`
`byte[]` `sym`

Constructor Summary
`EncodedBuffer()`
`EncodedBuffer(long stamp, byte[] sym, byte[] buf)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stamp

    public long stamp

### sym

    public byte[] sym

### buf

    public byte[] buf

Constructor Detail

### EncodedBuffer

    public EncodedBuffer()

### EncodedBuffer

    public EncodedBuffer(long stamp,
                         byte[] sym,
                         byte[] buf)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved